function PublishTaskAction(context, id){
    this.context = context
    this.id = id
}

PublishTaskAction.prototype = {
    startStatus : false,
    create(){

    },
    start(){
        // if(this.startStatus){
        //     console.log("startStatus is true")
        //     return
        // }
        layui.tool.dialog2("/crop/publish_index","40%","70%",{buttons:["确定","取消"],funs:[
            function(index) {
                    var iframeBody = parent.layer.getChildFrame('body', index);
                    iframeBody.find('#submit').click();
            }]})
        this.startStatus = true;
    },
    stop(){
        if(!this.startStatus){
            console.log("startStatus is false")
            return
        }
        console.log("remove click")
        this.startStatus = false;
    }
}
